# This file was generated by running 'miaxml2nipype.py /build/mia-GRQ5zK/mia-2.4.3/obj-arm-linux-gnueabi/doc/mia-2dsegment-fuzzyw.xml /build/mia-GRQ5zK/mia-2.4.3/obj-arm-linux-gnueabi/src/mia_2dsegment_fuzzyw.py'
# '/build/mia-GRQ5zK/mia-2.4.3/obj-arm-linux-gnueabi/src/mia_2dsegment_fuzzyw.py' can be created by running 'mia-2dsegment-fuzzyw --help-xml >/build/mia-GRQ5zK/mia-2.4.3/obj-arm-linux-gnueabi/src/mia_2dsegment_fuzzyw.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dsegment_fuzzyw_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""image to be segmented""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	no_of_classes = traits.Int( desc="""number of classes to segmentnumber of classes to segment""", argstr="--no-of-classes %d" )
	class_centres = traits.ListFloat( desc="""initial class centers""", argstr="--class-centres %s", sep=",")
	neighborhood = traits.String( desc="""neighborhood filter for B-field correctionneighborhood filter for B-field correction""", argstr="--neighborhood %s" )
	alpha = traits.Float( desc="""weight of neighborhood filter for B-field correctionweight of neighborhood filter for B-field correction""", argstr="--alpha %f" )
	fuzziness = traits.Float( desc=""" parameter describing the fuzzyness of mattar distinction parameter describing the fuzzyness of mattar distinction""", argstr="--fuzziness %f" )
	epsilon = traits.Float( desc="""Stopping criterion for class center estimation.Stopping criterion for class center estimation.""", argstr="--epsilon %f" )
	cls_file = File(desc="class probability images, the image type must support multiple images and floating point values", argstr="--cls-file %s" )
	out_file = File(desc="B-field corrected image", argstr="--out-file %s" )
	gain_log_file = File(desc="Logarithmic gain field, the image type must support floating point values", argstr="--gain-log-file %s" )

#
# Output specification
#
class mia_2dsegment_fuzzyw_OutputSpec(TraitedSpec):
	cls_file = File(desc="class probability images, the image type must support multiple images and floating point values")
	out_file = File(desc="B-field corrected image")
	gain_log_file = File(desc="Logarithmic gain field, the image type must support floating point values")


#
# Task class specification
#
class mia_2dsegment_fuzzyw(CommandLine):
	input_spec = mia_2dsegment_fuzzyw_InputSpec
	output_spec = mia_2dsegment_fuzzyw_OutputSpec
	_cmd = "mia-2dsegment-fuzzyw"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['cls_file']=os.path.abspath(self.inputs.cls_file)
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		outputs['gain_log_file']=os.path.abspath(self.inputs.gain_log_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dsegment_fuzzyw()
	print( mia_prog.cmdline)
